{%- macro get_interfaces(id, data) %}
[
    {%- for i in data %}
        {%- if i.id == id %}
        {
            "id": "{{ i.interface }}",
            "admin_state": "{{ 'Up' if i.admin_state == 'Enabled' else 'Down'}}",
            "operational_state": "{{ 'Up' if i.operational_state == 'Enabled' else 'Down'}}",
            "level_capabilities": {{ get_level_capabilities(i.circuit_type) }}
        },
        {%- endif %}

    {%- endfor %}
]
{%- endmacro %}

{%- macro get_level_capabilities(lc) %}
    {%- set levels = lc.split("-")[1::] %}
    [
    {%- for level in levels %}
    {%- set level_capability = "level-"+level %}
        "{{ level_capability }}",
    {%- endfor %}
    ]
{%- endmacro %}

[
{%- set used_ids = [] %}
{%- for isis in data %}
    {%- if isis.id not in used_ids %}
        {%- set bpdn = "ISIS::" + isis.id|string %}
        {%- set id = isis.id %}
        {
            "orchState": "active",
            "label": "{{ bpdn }}",
            "properties": {
                "bpdn": "{{ bpdn }}",
                "id": {{ id }},
                "logical_ports": {{ get_interfaces(id, data) }}
            }
        },
    {%- endif %}
    {%- do used_ids.append(isis.id) %}
{%- endfor %}
]
